import request from '@/utils/request'

// 查询单位换算列表
export function listConvert(query) {
  return request({
    url: '/system/convert/list',
    method: 'get',
    params: query
  })
}

// 查询单位换算详细
export function getConvert(id) {
  return request({
    url: '/system/convert/' + id,
    method: 'get'
  })
}

// 新增单位换算
export function addConvert(data) {
  return request({
    url: '/system/convert',
    method: 'post',
    data: data
  })
}

// 修改单位换算
export function updateConvert(data) {
  return request({
    url: '/system/convert',
    method: 'put',
    data: data
  })
}

// 删除单位换算
export function delConvert(id) {
  return request({
    url: '/system/convert/' + id,
    method: 'delete'
  })
}
